Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_UIPMC_Endpoint Class Reference

TAO_UIPMC_Endpoint. More...

`#include <UIPMC_Endpoint.h>`

Inheritance diagram for TAO_UIPMC_Endpoint:

[legend]
Collaboration diagram for TAO_UIPMC_Endpoint:

[legend]
List of all members.

## Public Methods
| TAO_UIPMC_Endpoint (void)
| Default constructor. More...
| TAO_UIPMC_Endpoint (const ACE_INET_Addr &addr)
| Constructor. More...
| TAO_UIPMC_Endpoint (const CORBA::Octet class_d_address[4], CORBA::UShort port)
| Constructor. Frank - deprecate this. More...
| ~TAO_UIPMC_Endpoint (void)
| Destructor. More...
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual void | reset_hint (void)
virtual TAO_Endpoint * | duplicate (void)
| Makes a copy of <this>. More...
CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. More...
CORBA::ULong | hash (void)
| Return a hash value for this object. More...
const ACE_INET_Addr & | object_addr (void) const
| Return a reference to the <object_addr>. More...
void | object_addr (const ACE_INET_Addr &addr)
| Set the IP multicast address and port. More...
const char * | get_host_addr (void) const
| Return a pointer to the stringified host address (not including the port). This class retains ownership of the address memory. More...
CORBA::UShort | port (void) const
| Return the port number. More...
CORBA::UShort | port (CORBA::UShort p)
| Set the port number. More...
## Private Methods
ACE_UINT32 | uint_ip_addr (void) const
| Helper methods for getting and setting the IP address. More...
void | uint_ip_addr (ACE_UINT32 ip_addr)
void | update_object_addr (void)
| Helper method to update the cached object address. More...
## Private Attributes
CORBA::Octet | class_d_address_ [4]
| IP Multicast address. Frank - deprecate this. More...
CORBA::UShort | port_
| UDP port number. Frank - deprecate this. More...
ACE_INET_Addr | object_addr_
| Cached instance of <ACE_INET_Addr> for use in making invocations, etc. More...
TAO_UIPMC_Endpoint * | next_
| UIPMC Endpoints can be stringed into a list. Return the next endpoint in the list, if any. More...

## Detailed Description

TAO_UIPMC_Endpoint.

UIPMC-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | void |  | ) |

| Default constructor.

TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | const ACE_INET_Addr & | addr | ) |

| Constructor.

TAO_UIPMC_Endpoint::TAO_UIPMC_Endpoint | ( | const CORBA::Octet | class_d_address[4],
|  | CORBA::UShort | port
| ) |

| Constructor. Frank - deprecate this. @

TAO_UIPMC_Endpoint::~TAO_UIPMC_Endpoint | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_UIPMC_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length
| ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_UIPMC_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

| Makes a copy of <this>. Reimplemented from TAO_Endpoint.

const char * TAO_UIPMC_Endpoint::get_host_addr | ( | void |  | ) | const

| Return a pointer to the stringified host address (not including the port). This class retains ownership of the address memory.

CORBA::ULong TAO_UIPMC_Endpoint::hash | ( | void |  | ) | `[virtual]`

| Return a hash value for this object. Reimplemented from TAO_Endpoint.

CORBA::Boolean TAO_UIPMC_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. Reimplemented from TAO_Endpoint.

TAO_Endpoint * TAO_UIPMC_Endpoint::next | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

void TAO_UIPMC_Endpoint::object_addr | ( | const ACE_INET_Addr & | addr | ) |

| Set the IP multicast address and port.

ACE_INLINE const ACE_INET_Addr & TAO_UIPMC_Endpoint::object_addr | ( | void |  | ) | const

| Return a reference to the <object_addr>.

ACE_INLINE CORBA::UShort TAO_UIPMC_Endpoint::port | ( | CORBA::UShort | p | ) |

| Set the port number.

ACE_INLINE CORBA::UShort TAO_UIPMC_Endpoint::port | ( | void |  | ) | const

| Return the port number.

void TAO_UIPMC_Endpoint::reset_hint | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Endpoint.

ACE_INLINE void TAO_UIPMC_Endpoint::uint_ip_addr | ( | ACE_UINT32 | ip_addr | ) | `[private]`

ACE_INLINE ACE_UINT32 TAO_UIPMC_Endpoint::uint_ip_addr | ( | void |  | ) | const`[private]`

| Helper methods for getting and setting the IP address.

ACE_INLINE void TAO_UIPMC_Endpoint::update_object_addr | ( | void |  | ) | `[private]`

| Helper method to update the cached object address.

## Member Data Documentation

CORBA::Octet TAO_UIPMC_Endpoint::class_d_address_[4]`[private]`

| IP Multicast address. Frank - deprecate this. @

TAO_UIPMC_Endpoint* TAO_UIPMC_Endpoint::next_`[private]`

| UIPMC Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_UIPMC_Endpoint::object_addr_`[private]`

| Cached instance of <ACE_INET_Addr> for use in making invocations, etc.

CORBA::UShort TAO_UIPMC_Endpoint::port_`[private]`

| UDP port number. Frank - deprecate this. @

The documentation for this class was generated from the following files:

- UIPMC_Endpoint.h
- UIPMC_Endpoint.cpp
- UIPMC_Endpoint.i